name: convertible
version: 1.1.1.0
id: convertible-1.1.1.0-4JGGYsaDyuUDyUW9qH2fP2
key: convertible-1.1.1.0-4JGGYsaDyuUDyUW9qH2fP2
license: BSD-3-Clause
copyright: Copyright (c) 2009-2011 John Goerzen
maintainer: Erik Hesselink <hesselink@gmail.com>
author: John Goerzen
stability: Stable
homepage: http://hackage.haskell.org/package/convertible
synopsis: Typeclasses and instances for converting between types
description:
    convertible provides a typeclass with a single function
    that is designed to help convert between different types: numeric
    values, dates and times, and the like.  The conversions perform bounds
    checking and return a pure Either value.  This means that you need
    not remember which specific function performs the conversion you
    desire.
    .
    Also included in the package are optional instances that provide
    conversion for various numeric and time types, as well as utilities
    for writing your own instances.
    .
    Finally, there is a function that will raise an exception on
    bounds-checking violation, or return a bare value otherwise,
    implemented in terms of the safer function described above.
    .
    Convertible is also used by HDBC 2.0 for handling marshalling of
    data to and from databases.
    .
    Convertible is backed by an extensive test suite and passes tests
    on GHC and Hugs.
category: Data
abi: d4cc546869459a967a420d78daca21e9
exposed: True
exposed-modules:
    Data.Convertible Data.Convertible.Base Data.Convertible.Instances
    Data.Convertible.Instances.C Data.Convertible.Instances.Map
    Data.Convertible.Instances.Num Data.Convertible.Instances.Text
    Data.Convertible.Instances.Time Data.Convertible.Utils
import-dirs: /usr/local/lib/ghc/convertible-1.1.1.0
library-dirs: /usr/local/lib/ghc/convertible-1.1.1.0
dynamic-library-dirs: /usr/local/lib/ghc/convertible-1.1.1.0
data-dir: /usr/local/share/hs-convertible-1.1.1.0
hs-libraries: HSconvertible-1.1.1.0-4JGGYsaDyuUDyUW9qH2fP2
depends:
    base-4.12.0.0 bytestring-0.10.8.2 containers-0.6.0.1 mtl-2.2.2
    old-locale-1.0.0.7-D4Rn5zPhtMJBwwirPJNu78
    old-time-1.1.0.3-2XkcGgLYS3G4Bt8PCBG9iL text-1.2.3.1 time-1.8.0.2
haddock-interfaces: /usr/local/share/doc/hs-convertible-1.1.1.0/html/convertible.haddock
haddock-html: /usr/local/share/doc/hs-convertible-1.1.1.0/html
